Saltar al contenido

Foto

Execucion de ordenes en el 2D de forma automatizada.


  • Please log in to reply
4 Respuesta(s) a este Tema

#1
XGFreixer

XGFreixer

    Iniciado en AuxCAD

  • Miembros
  • 27 Mensajes
  • Auxis: 2
    • Pais: Country Flag
    Buenas de nuevo.

    Tengo que realizar unas ordenes a varios (+ de 80) drawings.

    • Activar el "Working Views"
      Ocultar ejes y recuadros de las vistas
      Bloquear las vistas.(Lock View)
      1ºhoja nombrarla con "HOJA_001"
      Hoja activa "HOJA_001"
      Ninguna vista activa (activar Hoja)
      Area visible (Fil all in)
      Executar un CATDUA

    Para ello he pensado en realizar un formulario:

    Comentar Imagen

    que lo executare desde el mismo modelo de 2D seleccionare lo que quiero realizar y lo que no.

    Mi intencion es que funcione,.. pero como dice mi padre mas vale una comunidad pensando que un solo miembro (cuanta razon tiene el jodio,.. :P)

    por el momento tengo la opcion de Area visible (Fil all in) solucionada con esto:

    Sub CATMain()
    
    CATIA.ActiveWindow.ActiveViewer.Reframe
    
    End Sub

    me quereis ayudar a resolver el resto de ordenes??....

    Saludos y encantado de estar por aqui,...


    • 0
    -Xvr-

    #2
    m_ricca78

    m_ricca78

      Principiante en AuxCAD

    • Miembros
    • 8 Mensajes
  • Auxis: 1
    • Pais: Country Flag
    Buenoas días,

    Re-vivo el tema para ver si alguien ha encontrado alguna solución.
    En particular me interesan tres puntos de la macro en cuestión:

    1- Como desactivar todas las vistas (que queden activas las hojas). Esto es posible haciendolo manualmente doble click sobre cada hoja (o mediante el comando "Activate Sheet"). Pero he intentado grabar una macro haciendo esto y no funciona de la misma manera ya que cuando activo la hoja "Sheet.1", todas las vistas de esta hoja se desactivan, pero en cuanto activo otra hoja (por ejemplo la "Sheet.2") en la "Sheet.1" queda activa no la hoja como pretendo sino la vista que esta activa antes de ejecutar la macro.
    Resumiendo, existe alguna manera de desactivar todas las vistas de un Drawing mediante una macro?

    2- Hay alguna forma de ejecutar el CATDUAV5 mediante una macro?. La idea es ejecutar el CATDUAV5 al drawing activo con la opción "clean".

    3- Para ocultar los ejes de las vistas, lo que hago es seleccionar los tres elementos del mismo (origen, eje H y eje V) mediante una busqueda por nombre en cada una de las vistas. A alguien se le ocurre alguna manera mas simple?. Estoy seguro que existe algun indicador que hace referencia al eje de las vistas, algo como el ".sheet" o el ".view", pero no he sido capaz de dar con el.

    Espero que alguien me pueda echar un cable con esto.

    Un saludo.
    • 0
    Maximiliano Ricca
    www.mgbingenieria.com

    #3
    ferdo

    ferdo

      Experto en AuxCAD

    • Miembros
    • 215 Mensajes
  • Auxis: 104
    • Pais: Country Flag
    Hola

    Para ocultar los ejes de las vistas, un CATScript

    Language="VBSCRIPT"
    Sub CATMain()

    Dim drawingDocument1 As Document
    Set drawingDocument1 = CATIA.ActiveDocument

    Dim selection1 As Selection
    Set selection1 = drawingDocument1.Selection

    selection1.Search "Name=*HDirection*,all"
    Set visPropertySet1 = selection1.visProperties
    VisPropertySet1.SetShow 1
    selection1.Clear

    selection1.Search "Name=*VDirection*,all"
    Set visPropertySet1 = selection1.visProperties
    VisPropertySet1.SetShow 1
    selection1.Clear

    selection1.Search "Name=*Origin*,all"
    Set visPropertySet1 = selection1.visProperties
    VisPropertySet1.SetShow 1
    selection1.Clear

    End Sub

    Para desactivar todas las vistas de un Drawing mediante una macro (CATScript)


    Language="VBSCRIPT"
    Sub CATMain()

    CATIA.StartCommand "Fit All In"

    Dim drawingDocument1 As Document
    Set drawingDocument1 = CATIA.ActiveDocument
    Dim selection1 As Selection
    Set selection1 = drawingDocument1.Selection
    selection1.Search "Name=Sheet*,all"

    CATIA.StartCommand "Activate Sheet"
    selection1.Clear

    End Sub
    • 0
    Un saludo cordial
    Fernando

    sites visited in RO
    sites visited in EU

    #4
    m_ricca78

    m_ricca78

      Principiante en AuxCAD

    • Miembros
    • 8 Mensajes
  • Auxis: 1
    • Pais: Country Flag
    Gracias Ferdo,

    Lo voy a implementar y te cuento como me va.

    Hay forma de ejecutar el CATDUAV5 desde una macro? A alguien se le ocurre algo?


    Un saludo.
    • 0
    Maximiliano Ricca
    www.mgbingenieria.com

    #5
    ferdo

    ferdo

      Experto en AuxCAD

    • Miembros
    • 215 Mensajes
  • Auxis: 104
    • Pais: Country Flag
    Creo que la imagen adjunta dice todo.

    Ficheros Adjuntos


    • 0
    Un saludo cordial
    Fernando

    sites visited in RO
    sites visited in EU




    0 Usuario(s) están leyendo este Tema

    0 miembro(s), 0 invitado(s), 0 usuario(s) anónimo(s)